Add all bastille Linux flavors bootstrap options

This commit is contained in:
JRGTH
2025-09-28 03:56:14 -04:00
parent d60abe962d
commit c6d769e4d5
3 changed files with 9 additions and 5 deletions

View File

@@ -52,7 +52,7 @@ error_notify() {
MSG="${*}"
logger -t "${SCRIPTNAME}" "${MSG}"
echo -e "${MSG}" >&2
unionfs_disable
posterror_exec
exit 1
}
@@ -106,6 +106,11 @@ unload_kmods() {
fi
}
posterror_exec() {
# Commands to be executed post errors.
unionfs_disable
}
unionfs_disable() {
# Check and disable uniofs mounts on error.
unionfs_pkgoff
@@ -143,7 +148,7 @@ fetch_pkg() {
echo "Fetching required packages."
# Fetch deboostrap and dependency packages.
fetch_cmd || echo "Cleaning addon stale pkg db"
fetch_cmd || echo "Cleaning addon stale pkg db and retry..."
rm -rf ${CWDIR}/system/var/db/pkg/*
fetch_cmd || error_notify "Error while fetching packages, exiting."
echo "Done."